import request from '@/utils/request'

// /businessRechargeAmounts/save 自定义创建代金券充值金额
export const saveAcount = (data) => request({
  url: '/businessRechargeAmounts/save',
  method: 'post',
  data
})

// /businessRechargeAmounts/update 改
export const updateAcount = (data) => request({
  url: '/businessRechargeAmounts/update',
  method: 'post',
  data
})

// /businessRechargeAmounts/delete 删
export const deleteAcount = (data) => request({
  url: '/businessRechargeAmounts/delete',
  method: 'post',
  data
})

// /businessRechargeAmounts/getAll 查
export const getAllAcount = (data) => request({
  url: '/businessRechargeAmounts/getAll',
  method: 'post',
  data
})

// /businessRechargeAmounts/getById 查详情
export const getByIdAcount = (data) => request({
  url: '/businessRechargeAmounts/getById',
  method: 'post',
  data
})

// /businessRechargeAmounts/disable 禁用
export const disableAcount = (data) => request({
  url: '/businessRechargeAmounts/disable',
  method: 'post',
  data
})

// /businessRechargeAmounts/switchRecharge
export const switchRecharge = (data) => request({
  url: '/businessRechargeAmounts/switchRecharge',
  method: 'post',
  data
})

// /businessRechargeAmounts/switchRechargeOf
export const switchRechargeOf = (data) => request({
  url: '/businessRechargeAmounts/switchRechargeOf',
  method: 'post',
  data
})
